# Elasticsearch AWS Connector

"Elasticsearch AWS Connector" facilitates integration between Elasticsearch Connector-module
and Amazon Web Services using Signed AWS Requests.

## Requirements

This module requires the following modules:

- [Elasticsearch Connector](https://www.drupal.org/project/elasticsearch_connector)
- [Key](https://www.drupal.org/project/key) (8.x-8.x only)

## Versions

| Elasticsearch Connector release series | Drupal module release series | Drupal module supported? | Maintenance status |
| --- | --- |--------------------------| --- |
| ? | 9.x | ?                        | Future version
| 8.0.x | 8.x-8.x | No                       | Not supported since there is no AWS Elasticsearch 8.x version
| 8.x-7.* | 8.x-7.x | Yes                      | Security and bug fixes only
| 8.x-6.* | 8.x-6.x | No                       |
| 8.x-5.* | 8.x-5.x | No                       |
| * | 8.x-1.x | No                       |
| * | 7.x-5.x | No                       |

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

When you select "Use authentication" on the form of the cluster created using "Elasticsearch Connector" module,
you will have to option to select "Amazon Web Services - signed requests" as "Authentication type".
When "Amazon Web Services - signed requests" is selected, a field to store the "Amazon Web Services - region" will
be available in order to define the correct region of the AWS-stack where the Elasticsearch is located.

A few possible options to enter in the region field:
- eu-west-1
- us-west-2

Also a field to enter your preferred "AWS authentication type" will become available, you can select either:
- AWS Credentials
- AWS IAM Role

In case you choose "AWS Credentials" you will also be asked to enter a key and a secret.

## Maintainers

- [wouters_f](https://www.drupal.org/u/wouters_f)
- [Jochen Verdeyen (jover)](https://www.drupal.org/u/jover)
- [Mike Crittenden (mcrittenden)](https://www.drupal.org/u/mcrittenden)
- [Sean Gleason (sean_gleason)](https://www.drupal.org/u/sean_gleason)
- [Daniel Mundra (dmundra)](https://www.drupal.org/u/dmundra)
- [Martin Kolar (mkolar)](https://www.drupal.org/u/mkolar)
- [Rian Callahan (rc_100)](https://www.drupal.org/u/rc_100)
- [Greg Schnippel (schnippy)](https://www.drupal.org/u/schnippy)
